qpdfview (0.5.0+ds-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Depend on qmake6:native and use qmake6
    buildsystem. (Closes: #1065514)

  [ Louis-Philippe Véronneau ]
  * d/control: replace obsolete pkg-config package by new pkgconf.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 31 Mar 2024 16:10:56 -0400

qpdfview (0.5.0+ds-4) unstable; urgency=medium

  * d/control, rules: build using QT6.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 19 Jan 2024 15:28:53 -0500

qpdfview (0.5.0+ds-3) unstable; urgency=medium

  * d/*.mime: move d/mime to qpdfview.mime and add separate entries for -ps
    and -djvu plugins. (Closes: #1056640, #1056641)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 08 Jan 2024 00:51:07 -0500

qpdfview (0.5.0+ds-2) unstable; urgency=medium

  * d/patches: add 0001 to fix cross compiling bug. (Closes: #1030848)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 25 Feb 2023 11:48:42 -0500

qpdfview (0.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Standards-Version update to 4.6.2. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 29 Jan 2023 21:39:24 -0500

qpdfview (0.5.0~beta1+ds-2) unstable; urgency=medium

  * New upstream version.
  * d/watch: update to accept beta versions.
  * d/gbp.conf: create file.
  * d/patches: drop all patches, as they have been upstreamed.
  * d/rules: drop unnecessary rules.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 14 Nov 2022 15:28:56 -0500

qpdfview (0.4.18+ds-9) unstable; urgency=medium

  * Repack upstream source code to remove vendored SyncTex. (Closes: #1015908)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 09 Aug 2022 22:48:50 -0400

qpdfview (0.4.18-8) unstable; urgency=medium

  * Stop building with the Fitz plugin, as it is experimental and somewhat
    currently broken.
  * d/sources/lintian-override: add override for source-missing false
    positive.
  * d/watch: dearmor upstream gpg key and use watch version 4 format.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/control: fix wrong VCS field.
  * d/patches: forward patches that can be, mark the rest as non-needed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 23 Jul 2022 17:02:58 +0200

qpdfview (0.4.18-7) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/patches: add DEP-3 headers and rename patches for consistency.
  * d/patches: update 0001 to fix AppStream compliance.
  * d/control: fix errors in descriptions. (Closes: #996430)

  [ Sven Bartscher ]
  * Link fitz plugin with libmupdf-third and libgumbo. (Closes: #1010556)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 13 May 2022 23:50:10 -0400

qpdfview (0.4.18-6) unstable; urgency=medium

  * pollo is now the maintainer of this package.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 14 Jan 2022 23:13:30 -0500

qpdfview (0.4.18-5) unstable; urgency=medium

  * Add missing breaks (Closes: #988285)

 -- Norbert Preining <norbert@preining.info>  Wed, 19 May 2021 16:04:11 +0900

qpdfview (0.4.18-4) unstable; urgency=medium

  * Update VCS fields.
  * Update inter-package relations to avoid cycles (Closes: #977420)

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 08:40:58 +0900

qpdfview (0.4.18-3) unstable; urgency=medium

  * update to current bzr version, fix patches
  * build libmupdf/fitz pdf plugin
  * split pdf plugins (poppler, mupdf/fitz) into separate packages
  * New maintainer (Closes: #893999)
  * Remove d/p/import.patch, included in bzr patches.

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Dec 2020 15:32:57 +0900

qpdfview (0.4.18-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS. (Closes: #975144)
    - Import QPainterPath.
  * Update Standards-Version to 4.5.1
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 01 Dec 2020 22:05:42 +0000

qpdfview (0.4.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 0.4.18. (Closes: #918461)
    + Ships updated translation files. (Closes: #823175)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.
    + Use "Rules-Requires-Root: no".
    + Mark the main package and various plugins to provide
      pdf-viewer, postscript-viewer and djvu-viewer.
      (Closes: #904032)
  * debian/upstream/signing-key.asc: Convert old .pgp format to
    the new .asc one.
  * debian/patches:
    + Delete patch 0004, merged upstream.
    + Refresh patches.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Sep 2019 13:44:23 -0400

qpdfview (0.4.17~beta1+git20180709-2) unstable; urgency=medium

  * QA upload.
  * Rebuild against Qt 5.11.2.
  * debian/control: Update Vcs-* fields; packaging repository is now
    under Debian Qt/KDE Team.
  * debian/patches: Add a patch to finish zh_CN translation.
    All modifications have been forwarded upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Oct 2018 20:13:54 -0400

qpdfview (0.4.17~beta1+git20180709-1) unstable; urgency=medium

  * QA upload.
  * New upstream trunk snapshot 20180709.
  * Rebuild against gcc 8 and Qt 5.11.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Sep 2018 14:00:03 -0400

qpdfview (0.4.17~beta1+git20180514-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * New upstream trunk snapshot. Closes: #847280.
  * d/control: Bump Standards-Version to 4.1.4.
  * d/control: Bump debhelper compat to v11.
  * d/control: Point Vcs field onto Salsa packaging repo.
  * d/control: Add missing build-dependency qt5-qmake as suggested in #886521.
  * d/control: Use source:Version instead of binary:Version for arch:all package
    recommendation to prevent breakage brought by binNMU. Closes: #857117.
  * d/control: Add new build-dependency libsynctex-dev to use system synctex.
    Closes: #754138.
  * Apply "wrap-and-sort -abst".
  * d/rules: Remove some custom flags with invocation of qmake;
    Use dh_auto_configure again as suggested in #886521.
  * d/rules: Use "dh_missing --fail-missing".
  * d/menu: Remove menu file.
  * d/xpm: Remove xpm icon, not needed.
  * d/patches: Remove previous custom patches to provide a vanilla qpdfview.
  * d/patches: Add patch to fix legacy appdata file format and installation
    location.
  * d/patches: Add patch to fix FTBCFS for pkg-config detection.
    Closes: #886521.
  * d/copyright: Refresh copyright information.
  * d/install: Also install appdata file and new .so file.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 17 May 2018 08:43:56 +0800

qpdfview (0.4.14-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 22 Mar 2015 11:42:36 +0200

qpdfview (0.4.12-1) unstable; urgency=low

  * New upstream release.
  * Fixed option to zoom to selection and implemented tiled rendering
    (Closes: #739554)
  * Enable support for qt5 and poppler-qt5.
  * Explicit dependence on hicolor-icon-theme.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 5 Oct 2014 17:08:15 +0100

qpdfview (0.4.10-1) unstable; urgency=low

  * New upstream release.
  * Implemented an option to zoom to selection (Closes: #739554)

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Mon, 19 May 2014 14:39:20 +0100

qpdfview (0.4.9-2) unstable; urgency=low

  * Added zlib1g-dev as build-dependency (Closes: #744229)

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Fri, 25 Apr 2014 20:30:40 +0200

qpdfview (0.4.9-1) unstable; urgency=low

  * New upstream release.
  * Implemented an option to copy selected text to X buffer (Closes: #739550)
  * Updated watch file to check pgp signature.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 23 Mar 2014 12:08:49 +0200

qpdfview (0.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sat, 25 Jan 2014 10:06:34 +0200

qpdfview (0.4.7-1) unstable; urgency=low

  * New upstream release.
  * Patch to provide more toolbar items by default.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 1 Dec 2013 13:26:44 +0200

qpdfview (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Translations are now fetched in the separate package qpdfview-translations.
  * qpdfview-translations "Replaces: qpdfview-languages" for compatibility with
    Ubuntu PPAs.
  * Qt5 support implemented upstream is unused in this package.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 13 Oct 2013 10:56:55 +0100

qpdfview (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Tue, 30 Jul 2013 00:00:25 +0100

qpdfview (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Added menu file and fetch xpm icon file in debian folder.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 26 May 2013 13:52:50 +0100

qpdfview (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Added standard hardening buildflags from dpkg-dev using
      QMAKE_CFLAGS="$(CFLAGS) $(CPPFLAGS)" QMAKE_CXXFLAGS="$(CFLAGS) \
      $(CPPFLAGS) $(CXXFLAGS)" QMAKE_LFLAGS="$(LDFLAGS)"
    as arguments for qmake. New build dependency: dpkg-dev (>=1.16.1.1)
  * Added large file support using
      DEFINES+="_FILE_OFFSET_BITS=64"
    as argument for qmake.
  * Adjusted Exit mnemonic. (Closes: #702749)
    Thanks to David Fries <david@fries.net>

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Mon, 22 Apr 2013 17:40:43 +0100

qpdfview (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Source package now builds three binary packages. New build dependencies:
    libspectre-dev, libdjvulibre-dev
  * Program now supports file type determination using "magic" numbers.
    New build dependency: libmagic-dev
  * Included SyncTeX copyright and license into debian/copyright.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Thu, 4 Apr 2013 14:51:58 +0100

qpdfview (0.3.7-2) unstable; urgency=low

  * Fixed error in man page.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Fri, 11 Jan 2013 14:21:14 +0200

qpdfview (0.3.7-1) unstable; urgency=low

  * New upstream release.
  * Fixed formatting of extended description in control file.
  * New dependency libqt4-sql-sqlite.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Wed, 2 Jan 2013 14:12:52 +0200

qpdfview (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * Updated description in control file.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 25 Nov 2012 08:31:42 +0200

qpdfview (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Separate upstream changelog.
  * Updated MIME file.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 14 Oct 2012 18:13:01 +0200

qpdfview (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 16 Sep 2012 19:32:36 +0200

qpdfview (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Added MIME file. (Closes: #685599)

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 2 Sep 2012 15:18:34 +0100

qpdfview (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sat, 4 Aug 2012 16:36:37 +0100

qpdfview (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream resolved license incompatibility issues.
  * Changed hotkeys for scaling. (Closes: #677448)
    Thanks to jidanni@jidanni.org

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Sun, 1 Jul 2012 18:16:12 +0100

qpdfview (0.3~beta3-1) unstable; urgency=low

  * New upstream release.
  * Added watch file.
  * Fixed a bug that occured on armel and armhf. (Closes: #677149)
    Thanks to Peter Green <plugwash@p10link.net>
  * Added build-dependency. (Closes: #677152)
    Thanks to Pino Toscano <pino@debian.org>

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Tue, 12 Jun 2012 21:23:41 +0100

qpdfview (0.3~beta2-1) unstable; urgency=low

  * Initial release. (Closes: #674684)

 -- Benjamin Eltzner <b.eltzner@gmx.de>  Fri, 01 Jun 2012 19:23:41 +0100
